Search campaigns

Search for campaigns by paging the dataset, taking the limit, next, status, name, audience.type, createdAt as query parameters.

The filter type can be specified using brackets [] directly after the name of the query parameter. It can take one of the following values:

  • eq: equal. (default)
  • not_eq: not equal.
  • like: contains.
  • not_like: not contains.
  • gt: greater than.
  • gte: greater than or equal.
  • lt: less than.
  • lte: less than or equal.
  • in: in list.
  • not_in: not in list. **Ex:status[in] = CREATED,**IN_PROGRESS Note: The values must be separated by commas to 'in' filter type.
Query Params
number

specifies the number of results to be returned from the call. If not specified, the default limit value is 20. The max limit value is 100.

string

used to get the next page, if null, the request will search by the beginning. For each request, the token will be returned in the response.

string

used to search by campaign name

string
enum

used to search by campaign status.

boolean
enum

used to get campaign status.

Allowed:
boolean
enum

used to get campaign schedule.

Allowed:
boolean
enum

used to get campaign audience.

Allowed:
string
enum

used to search by audience type.

Allowed:
string

used to search by campaign creation date, date formatted as ISO 8601 (YYYY-MM-DDTHH:mm:ss).

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json